Difference between revisions of "DeveloperWiki:Repo Cleanup"

From ArchWiki
Jump to: navigation, search
(Candidate to [community])
(old 2011 list)
 
(37 intermediate revisions by 10 users not shown)
Line 1: Line 1:
[[Category:Package development (English)]]
 
  
= Extra package cleanup =
+
#redirect [[ArchWiki:Archive]]
 
+
[[Category:Archive]]
== Goals and ideas ==
 
* A cleanup of the extra repository
 
* Currently we have 352 orphans packages in [extra]
 
* Reduce the packaging work load of the developers
 
* Minimise the number of apps per task
 
* TUs are easier to appoint and find, it makes sense to move some of the workload to the community repo
 
* Games should all go to community (except those that come with KDE and Gnome)
 
 
 
== Packages list ==
 
This packages will be moved to Unsupported, if you want to maintain a package in [community] DO NOT cross it out, but add it to [[ArchWiki DeveloperWiki:Repo_Cleanup#Candidate_to_.5Bcommunity.5D | this list]]
 
 
 
* 3ddesktop
 
* <s>aalib</s> - needed by gphoto2, gstreamer-0.10-good-plugins, mplayer, mplayer-vaapi, xaos, xawtv
 
* abuse
 
* acct - needed by bootchart (orphan)
 
* acidrip
 
* afterstep
 
* agg
 
* alltray
 
* antiword
 
* arch
 
* <s>arj</s> - needed by fileroller, squeeze, xarchiver
 
* <s>at</s>
 
* <s>at-spi2-atk</s>
 
* <s>at-spi2-core</s>
 
* <s>aubio</s> - needed by ardour
 
* <s>aufs2</s> - needed by aufs2-util
 
* autofs
 
* biogrep
 
* biopython
 
* <s>bittorrent</s> - needed by archboot
 
* blassic
 
* bomberclone
 
* bonnie++
 
* bootchart
 
* <s>botan</s> - needed by monotone
 
* <s>brltty</s> - keep this for blind users, Andrea
 
* <s>btrfs-progs-unstable</s> - needed by archboot
 
* came
 
* ccrtp - needed by libzrtpcpp (orphan)
 
* ccscript3
 
* cdcd
 
* cddb_get
 
* cdlabelgen - needed by gcombust (orphan)
 
* cdtool - needed by tcdr (orphan)
 
* centerim
 
* chntpw
 
* colortail
 
* commoncpp2 - needed by ccrtp, ccscript3, twinkle (orphans)
 
* corewars
 
* cpudyn
 
* cpufreqd
 
* crimson
 
* cssed
 
* culmus
 
* <s>cvs</s> - needed by a lot of packages
 
* <s>cvsps</s> - needed by git
 
* <s>cx_freeze</s> - needed by eric-plugins
 
* dbh
 
* <s>dconf</s> - needed by nautilus-sendto, empathy, gnome-bluetooth, evince...
 
* devil
 
* dia
 
* ding
 
* distcc
 
* dmenu
 
* dopewars
 
* dvdbackup
 
* eboard
 
* ed2k-gtk-gui
 
* <s>eject</s> - needed by hal, oxine
 
* elinks
 
* enigma
 
* epdfview
 
* <s>ethstatus</s>
 
* evms
 
* <s>fcgi</s> - needed by lighttpd
 
* <s>fcitx</s> - needed by kdeplasma-addons
 
* <s>festival</s> - needed by gnome-speech
 
* <s>festival-english</s> - voices support to festival
 
* <s>festival-us</s> - voices support to festival
 
* fftw2
 
* <s>figlet</s>
 
* flite
 
* <s>folks</s> - needed by empathy
 
* <s>fsarchiver</s> - needed by archboot
 
* galculator
 
* gcal
 
* gcombust
 
* <s>gd</s> - needed by mrtg, ntop, pstoedit, texlive-bin, amule, libgphoto2...
 
* gdeskcal
 
* gdesklets
 
* gdk-pixbuf - needed by xosd, gtk-smooth-engine (orphans)
 
* <s>gdome2</s> - needed by gmetadom
 
* gift - needed by gift-fasttrack, gift-gnutella, gift-openft
 
* gift-fasttrack
 
* gift-gnutella
 
* gift-openft
 
* gimp-fourier
 
* glabels
 
* gmencoder
 
* <s>gmpc</s>
 
* <s>gnokii</s> - needed by gnome-phone-manager
 
* gnomeicu
 
* gocr
 
* gpart
 
* <s>gperf</s> - needed by a lot of packages
 
* graveman
 
* gtick
 
* gtk1-engines
 
* gtkam
 
* gtklp
 
* gtk-smooth-engine
 
* gtkterm
 
* gtk-theme-switch
 
* <s>gtk-vnc</s> - needed by vinagree
 
* <s>gweled</s>
 
* gxine
 
* <s>haskell-binary</s> - up to Vesa
 
* <s>haskell-cgi</s> - up to Vesa
 
* <s>haskell-mtl</s> - up to Vesa
 
* <s>haskell-network</s> - up to Vesa
 
* <s>haskell-regex-compat</s> - up to Vesa
 
* <s>haskell-tar</s> - up to Vesa
 
* <s>haskell-text</s> - up to Vesa
 
* hexcurse
 
* hping
 
* <s>httplib2</s> - needed by totem
 
* httptunnel
 
* httrack
 
* hugs98
 
* icmake - needed by yodl (orphan)
 
* <s>ilmbase</s> - needed by openexr
 
* <s>imap</s> - needed by php
 
* imwheel
 
* <s>iptraf</s>
 
* ipvsadm
 
* irda-utils
 
* <s>jade</s> - needed by gtk-doc
 
* jed
 
* joe
 
* jpilot
 
* <s>json-glib</s> - needed by rhythmbox
 
* <s>kdelibs3</s> - needed by qalculate-kde, labplot, ksensors
 
* lesstifextensions
 
* <s>lha</s> - needed by squeeze, xarchiver
 
* <s>libchewing</s> - needed by scim-chewing
 
* <s>libdvdcss</s> - needed by acidrip, libdvdread
 
* libexif-gtk - needed by gtkam (orphan)
 
* <s>libffi</s> - needed by ruby, librep
 
* <s>libfm</s> - needed by pcmanfm
 
* <s>libftdi</s> - needed by lirc-utils
 
* <s>libhangul</s> - needed by scim-hangul
 
* <s>libieee1284</s> - needed by sane
 
* libixp
 
* <s>liblo</s> - needed by dssi, ardour, ecasound
 
* <s>liblqr</s> - needed by digikam
 
* <s>libmad</s> - needed by a lot of packages
 
* libmal
 
* <s>libmcs</s> - needed by audacious
 
* <s>libmodplug</s> - needed by moc, mpd, vlc
 
* <s>libmowgli</s> - needed by libmcs, libguess
 
* <s>libmp4v2</s> - needed by cmus, faac, easytag, tunepimp
 
* libmusepack
 
* <s>libnet</s> - needed by ettercap, ettercap-gtk
 
* libnids
 
* libnjb
 
* <s>libots</s> - needed by abiword
 
* librep - needed by rep-gtk (orphan)
 
* libsexymm
 
* libvisual-projectm
 
* <s>libwpg</s> - needed by abiword, libreoffice
 
* <s>libx86</s> - needed by vbetool
 
* libzrtpcpp - needed by twinkle (orphan)
 
* lincity
 
* linuxdcpp
 
* <s>linux_logo</s>
 
* <s>ltrace</s> - it's on gerolde so I guess we should keep it, Eric
 
* luola
 
* <s>lynx</s> - needed by xdg-utils
 
* <s>lzop</s> - needed by squeeze, xarchiver
 
* <s>mailman</s> - it's on gerolde so I guess we should keep it, Andrea
 
* <s>mcrypt</s>
 
* <s>memtest86+</s> - needed by archboot
 
* <s>mod_fastcgi</s> - apache module we'd be stupid not to provide
 
* <s>mod_wsgi</s> - apache module we'd be stupid not to provide
 
* <s>monotone</s>
 
* moon-buggy
 
* moon-lander
 
* <s>most</s>
 
* motion
 
* mp3blaster
 
* mrxvt
 
* <s>mysql</s> - needed by akonadi, amarok,...
 
* <s>mysql-python</s> - needed by django
 
* ne
 
* <s>netkit-bsd-finger</s> - needed by gnome-nettool
 
* <s>netpbm</s> - needed by groff in [core]
 
* netselect
 
* <s>net-snmp</s> - needed by php, fwbuilder, foomatic...
 
* ngrep
 
* <s>nickle</s> - needed by xorg-xrandr
 
* <s>nouveau-drm-lts</s> - needed by archboot
 
* <s>nss-mdns</s> - needed by avahi
 
* ntop
 
* nvclock
 
* <s>opengtl</s> - needed by koffice
 
* <s>openldap</s> - needed by kdepimlibs
 
* <s>opensp</s> - needed by iputils in [core], epiphan-extensions
 
* pal
 
* pan
 
* parprouted
 
* patchutils
 
* pebrot
 
* <s>perl-mail-spf</s> - needed by spamassassin
 
* <s>perl-xml-parser</s> - needed by intltool, perl-xml-simple, perl-soap-lite
 
* pinball
 
* planner
 
* prboom
 
* prelink
 
* privoxy
 
* projectm - needed by libvisual-projectm (orphan)
 
* pure-ftpd
 
* <s>putty</s>
 
* pyogg - needed by pyvorbis (orphan)
 
* python-cheetah
 
* python-eyed3
 
* <s>python-formencode</s> - needed by python-sqlobject
 
* <s>python-geoip</s> - needed by nicotine
 
* <s>python-m2crypto</s> - needed by crda in [core]
 
* <s>python-nose</s> - needed by vigra, python-numpy
 
* python-sqlobject - needed by pacbuild (orphan)
 
* python-vpython
 
* pyvorbis
 
* <s>pyxml</s> - needed by python-soappy, inkscape
 
* qgit
 
* qof
 
* qstat - needed by xqf (orphan)
 
* <s>qt3</s> - needed by a lot of packages
 
* <s>qt3-doc</s> - keep documentation for qt3, Andrea
 
* quilt
 
* <s>razor</s> - needed by spamassassin
 
* rbldnsd
 
* <s>re2c</s> - needed by spamassassin
 
* rep-gtk - needed by sawfish (orphan)
 
* revelation
 
* rockdodger
 
* root-tail
 
* rpmunpack
 
* <s>ruby</s> - needed by kdebindings-ruby
 
* <s>ruby-docs</s> - keep documentation for ruby, Andrea
 
* sawfish
 
* screem
 
* seed
 
* <s>sharutils</s> - needed by madwifi
 
* silly
 
* <s>slang</s> - needed by mc, jed, most, mutt
 
* <s>slib</s> - needed by gnucash
 
* <s>slim-themes</s> - keep themes for slim, Andrea
 
* slmodem
 
* slmodem-utils
 
* smtpprox
 
* <s>snarf</s> - needed by archboot
 
* spamassassin-spamc
 
* spidermonkey - needed by elinks, gxine (orphans)
 
* squashfs-tools
 
* <s>ssmtp</s> - needed by at
 
* swatch
 
* sylpheed
 
* synergy
 
* <s>talloc</s> - needed by samba
 
* tcdr
 
* tcptraceroute
 
* tcsh
 
* <s>telepathy-logger</s> - needed by empathy
 
* <s>texi2html</s> - needed by qemu
 
* thttpd
 
* <s>time</s> - needed by hdf5
 
* tin
 
* tor
 
* tpb
 
* <s>transcode</s> - needed by dvdrip, dvdrtools
 
* transset
 
* <s>ttf-fireflysung</s> - keep this for i18n support, Eric
 
* ttf-isabella
 
* <s>ttf-tibetan-machine</s> - keep this for i18n support, Eric
 
* <s>ttf-ubraille</s> - keep this for blind users, Andrea
 
* twinkle
 
* ubuntulooks
 
* uml_utilities
 
* unarj
 
* <s>unzip</s> - needed by a lot of packages
 
* <s>v86d</s> - needed by archboot
 
* vacation
 
* <s>vbetool</s> - needed by pm-utils
 
* <s>vcdimager</s> - needed by xine-lib
 
* vconfig
 
* viewglob
 
* <s>w3m</s>
 
* webalizer
 
* <s>wipe</s> - needed by archboot
 
* wmii
 
* wmix
 
* words
 
* wput
 
* <s>wvstreams</s> - needed by wvdial
 
* x2vnc
 
* <s>xbill</s>
 
* xbl
 
* xboard
 
* xdialog
 
* xdrawchem
 
* xemacs
 
* xemacs-base
 
* xemacs-sumo
 
* <s>xf86-input-wacom</s> - up to Jan
 
* xfsdump
 
* <s>xmahjongg</s>
 
* <s>xorg-xvidtune</s> - up to Jan
 
* xosd - needed by tpd (orphan)
 
* <s>xpdf</s>
 
* <s>xpdf-*</s>
 
* <s>xplc</s> - needed by wvstreams
 
* xpyb
 
* xqf
 
* xskat
 
* xtermcontrol
 
* xzgv
 
* <s>yasm</s> - needed by a lot of packages
 
* yodl
 
* <s>zip</s> - needed by a lot of packages
 
* <s>zvbi</s> - needed by vlc
 
 
 
== Candidate to [community] ==
 
* abuse - (cryptocrack)
 
* agg - needed by desmume-*, gnash (PirateJonno)
 
* alltray - (sergej)
 
* antiword - needed by pinot, lesspipe, recoll (cryptocrack)
 
* arch - (cryptocrack)
 
* bomberclone - (cryptocrack)
 
* cdcd - needed by gnormalize
 
* cddb_get - needed by gnormalize, hacburn
 
* centerim - (sergej)
 
* chntpw - (cryptocrack)
 
* devil - needed by cegui, spring
 
* dia - (sergej) [Atsutane]
 
* ding - (stefanhusmann)
 
* distcc - (sergej)
 
* dmenu - needed by uzbl, musca, surf (sergej) i3-wm [Atsutane]
 
* dopewars - (schuay)
 
* elinks - (sergej)
 
* enigma - (schuay)
 
* epdfview - (schuay)
 
* fftw2 - (cryptocrack)
 
* gdk-pixbuf - needed by lazarus, xchat-systray-integration
 
* gocr - needed by ogmrip
 
* httptunnel - (cryptocrack)
 
* libnids - needed by dsniff
 
* librep - needed by rep-gtk (stefanhusmann)
 
* libvisual-projectm - (cryptocrack)
 
* mailman - (sergej)
 
* motion - (sergej)
 
* ngrep - (cryptocrack) [Bluewind]
 
* ntop - (cryptocrack)
 
* nvclock - (cryptocrack)
 
* patchutils - (sergej)
 
* prboom - (cryptocrack)
 
* prelink - (cryptocrack)
 
* privoxy - (cryptocrack)
 
* projectm - (cryptocrack)
 
* pyogg - needed by fretsonfire
 
* python-cheetah - needed by workrave
 
* python-eyed3 - needed by gpodder
 
* python-sqlobject - needed by imdbpy
 
* pyvorbis - needed by listen
 
* qgit - (schuay)
 
* quilt - needed by gquilt
 
* rep-gtk - needed by sawfish (stefanhusmann)
 
* sawfish - (stefanhusmann)
 
* silly - needed by cegui
 
* slmodem - (sergej)
 
* slmodem-utils - (sergej)
 
* spidermonkey - needed by gpac, couchdb, mediatomb (PirateJonno)
 
* squashfs-tools - (sergej)
 
* tor - (cryptocrack)
 
* twinkle - (sergej)
 
* unarj - (sergej)
 
* wmii - (sergej)
 
* words - needed by bsd-games (cryptocrack)
 
* wput - (sergej)
 
* xboard - (sergej)
 
* xdialog - (sergej)
 
* xemacs - needed by xemacs-base, xemacs-sumo
 
* xemacs-base - needed by xemacs-all-packages
 
* xemacs-sumo - needed by xemacs-all-packages
 
* xosd - needed by ekg2, osdbattery
 
* xskat - (stefanhusmann)
 
 
 
= Progress =
 
 
 
== Moved to community ==
 
 
 
== Moved to unsupported ==
 
 
 
= Issues =
 

Latest revision as of 23:40, 24 February 2016

Redirect to: